import { TrackerPluginInterface, TrackerConsole, TrackerPluginConfig, ContextsConfig } from '@objectiv/tracker-core';

/**
 * The HttpContext Plugin gathers the current URL using the Location API.
 * It implements the `initialize` lifecycle method. This ensures the Context is generated when the tracker is created.
 */
declare class HttpContextPlugin implements TrackerPluginInterface {
    readonly console?: TrackerConsole;
    readonly pluginName = "HttpContextPlugin";
    /**
     * The constructor is responsible for processing the given TrackerPluginConfiguration `console` parameter.
     */
    constructor(config?: TrackerPluginConfig);
    /**
     * Generate an HttpContext.
     */
    initialize(contexts: Required<ContextsConfig>): void;
    /**
     * Make this plugin usable only on web, eg: Document and Navigation APIs are both available
     */
    isUsable(): boolean;
}

export { HttpContextPlugin };
